<!DOCTYPE html>
<html>
 <head>
  <meta charset="utf-8" />
  <title>homework5</title>
 </head>
 <body>
<script>
function createNewUser() {

    var fname, lname, bday;
    this.fistnameget = prompt("Введите имя")
    this.lastnameget = prompt("Введите фамилию")
    this.birthday = prompt("Введите дату рождения","dd.mm.yyyy")
    this.firstname = function() {
        return fname
    }
    this.lastname = function() {
        return fname
    }
    this.setFname = function() {
        fname = this.fistnameget;
    };
    this.setlname = function() {
        lname = this.lastnameget;
    };
      this.setbday = function() {
        bday = this.birthday.split(".")[2]; }
    this.login = function() {
        return (fname[0] + lname).toLowerCase();
    }
      this.passw = function() {
        return (fname[0] + lname + bday).toLowerCase();
    }
  this.getage = function() {
  let fullyear = new Date().getFullYear() - bday; 
        return fullyear;
    }
}
let user = new createNewUser();
user.setFname();
user.setlname();
user.setbday();
console.log(user.login());
console.log(user.passw());
console.log(user.getage());


</script> 
</body> 
</html>
